
void _efl_ui_scroll_manager_pan_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Efl_Ui_Pan *pan);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_scroll_manager_pan_set, EFL_FUNC_CALL(pan), Efl_Ui_Pan *pan);

Efl_Object *_efl_ui_scroll_manager_efl_object_constructor(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_object_destructor(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_i18n_mirrored_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool rtl);


void _efl_ui_scroll_manager_efl_ui_scrollable_content_pos_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Position2D pos);


Eina_Position2D _efl_ui_scroll_manager_efl_ui_scrollable_content_pos_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


Eina_Size2D _efl_ui_scroll_manager_efl_ui_scrollable_content_size_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


Eina_Rect _efl_ui_scroll_manager_efl_ui_scrollable_viewport_geometry_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollable_bounce_enabled_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool horiz, Eina_Bool vert);


void _efl_ui_scroll_manager_efl_ui_scrollable_bounce_enabled_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool *horiz, Eina_Bool *vert);


void _efl_ui_scroll_manager_efl_ui_scrollable_scroll_freeze_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool freeze);


Eina_Bool _efl_ui_scroll_manager_efl_ui_scrollable_scroll_freeze_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollable_scroll_hold_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool hold);


Eina_Bool _efl_ui_scroll_manager_efl_ui_scrollable_scroll_hold_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollable_looping_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool loop_h, Eina_Bool loop_v);


void _efl_ui_scroll_manager_efl_ui_scrollable_looping_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool *loop_h, Eina_Bool *loop_v);


void _efl_ui_scroll_manager_efl_ui_scrollable_movement_block_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Efl_Ui_Layout_Orientation block);


Efl_Ui_Layout_Orientation _efl_ui_scroll_manager_efl_ui_scrollable_movement_block_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollable_gravity_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double x, double y);


void _efl_ui_scroll_manager_efl_ui_scrollable_gravity_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double *x, double *y);

static void __eolian_efl_ui_scroll_manager_efl_ui_scrollable_gravity_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double *x, double *y)
{
   if (x) *x = 0.000000;
   if (y) *y = 0.000000;
   _efl_ui_scroll_manager_efl_ui_scrollable_gravity_get(obj, pd, x, y);
}


void _efl_ui_scroll_manager_efl_ui_scrollable_match_content_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool w, Eina_Bool h);


void _efl_ui_scroll_manager_efl_ui_scrollable_step_size_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Position2D step);


Eina_Position2D _efl_ui_scroll_manager_efl_ui_scrollable_step_size_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Efl_Ui_Scrollbar_Mode hbar, Efl_Ui_Scrollbar_Mode vbar);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Efl_Ui_Scrollbar_Mode *hbar, Efl_Ui_Scrollbar_Mode *vbar);

static void __eolian_efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Efl_Ui_Scrollbar_Mode *hbar, Efl_Ui_Scrollbar_Mode *vbar)
{
   if (hbar) *hbar = 0; /* Efl.Ui.Scrollbar_Mode.auto */
   if (vbar) *vbar = 0; /* Efl.Ui.Scrollbar_Mode.auto */
   _efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_get(obj, pd, hbar, vbar);
}


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_size_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double *width, double *height);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_position_set(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double posx, double posy);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_position_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, double *posx, double *posy);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_visibility_get(const Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Bool *hbar, Eina_Bool *vbar);


void _efl_ui_scroll_manager_efl_ui_scrollbar_bar_visibility_update(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd);


void _efl_ui_scroll_manager_efl_ui_scrollable_scroll(Eo *obj, Efl_Ui_Scroll_Manager_Data *pd, Eina_Rect rect, Eina_Bool animation);


static Eina_Bool
_efl_ui_scroll_manager_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_SCROLL_MANAGER_EXTRA_OPS
#define EFL_UI_SCROLL_MANAGER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_scroll_manager_pan_set, _efl_ui_scroll_manager_pan_set),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_scroll_manager_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_scroll_manager_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_mirrored_set, _efl_ui_scroll_manager_efl_ui_i18n_mirrored_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_content_pos_set, _efl_ui_scroll_manager_efl_ui_scrollable_content_pos_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_content_pos_get, _efl_ui_scroll_manager_efl_ui_scrollable_content_pos_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_content_size_get, _efl_ui_scroll_manager_efl_ui_scrollable_content_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_viewport_geometry_get, _efl_ui_scroll_manager_efl_ui_scrollable_viewport_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_bounce_enabled_set, _efl_ui_scroll_manager_efl_ui_scrollable_bounce_enabled_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_bounce_enabled_get, _efl_ui_scroll_manager_efl_ui_scrollable_bounce_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_scroll_freeze_set, _efl_ui_scroll_manager_efl_ui_scrollable_scroll_freeze_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_scroll_freeze_get, _efl_ui_scroll_manager_efl_ui_scrollable_scroll_freeze_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_scroll_hold_set, _efl_ui_scroll_manager_efl_ui_scrollable_scroll_hold_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_scroll_hold_get, _efl_ui_scroll_manager_efl_ui_scrollable_scroll_hold_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_looping_set, _efl_ui_scroll_manager_efl_ui_scrollable_looping_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_looping_get, _efl_ui_scroll_manager_efl_ui_scrollable_looping_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_movement_block_set, _efl_ui_scroll_manager_efl_ui_scrollable_movement_block_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_movement_block_get, _efl_ui_scroll_manager_efl_ui_scrollable_movement_block_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_gravity_set, _efl_ui_scroll_manager_efl_ui_scrollable_gravity_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_gravity_get, __eolian_efl_ui_scroll_manager_efl_ui_scrollable_gravity_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_match_content_set, _efl_ui_scroll_manager_efl_ui_scrollable_match_content_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_step_size_set, _efl_ui_scroll_manager_efl_ui_scrollable_step_size_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_step_size_get, _efl_ui_scroll_manager_efl_ui_scrollable_step_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_mode_set, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_mode_get, __eolian_efl_ui_scroll_manager_efl_ui_scrollbar_bar_mode_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_size_get, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_size_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_position_set, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_position_set),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_position_get, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_position_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_visibility_get, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_visibility_get),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollbar_bar_visibility_update, _efl_ui_scroll_manager_efl_ui_scrollbar_bar_visibility_update),
      EFL_OBJECT_OP_FUNC(efl_ui_scrollable_scroll, _efl_ui_scroll_manager_efl_ui_scrollable_scroll),
      EFL_UI_SCROLL_MANAGER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_scroll_manager_class_desc = {
   EO_VERSION,
   "Efl.Ui.Scroll.Manager",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Scroll_Manager_Data),
   _efl_ui_scroll_manager_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_scroll_manager_class_get, &_efl_ui_scroll_manager_class_desc, EFL_OBJECT_CLASS, EFL_UI_I18N_INTERFACE, EFL_UI_SCROLLABLE_INTERFACE, EFL_UI_SCROLLBAR_INTERFACE, NULL);
